CON

  _clkmode      = xtal1 + pll8x
  _xinfreq      = 10_000_000
  
  basepin       = 12

  CLS           = $00  'clear screen
  HOME          = $01  'home
  CRSRXY        = $02  'set X, Y position (X, Y follow)
  CRSRLF        = $03  'cursor left
  CRSRRT        = $04  'cursor right
  CRSRUP        = $05  'cursor up
  CRSRDN        = $06  'cursor dn
  USECLR        = $07  'use color C (C follows)
  BS            = $08  'backspace
  TAB           = $09  'tab (8 spaces per)
  LF            = $0A  'linefeed
  CLREOL        = $0B  'clear to end of line
  CLRDN         = $0C  'clear down (to end of window)
  CR            = $0D  'return
  CRSRX         = $0E  'set X position (X follows)
  CRSRY         = $0F  'set Y position (Y follows)
  DEFWIN        = $10  'define window  W (W, Left, Top, nCols, nRows follow)
  USEWIN        = $11  'use window W (W follows)
  DEFCLR        = $12  'define color C (C, FG, BG follow)
  SCRLLF        = $13  'scroll window left
  SCRLRT        = $14  'scroll window right
  SCRLUP        = $15  'scroll window up
  SCRLDN        = $16  'scroll window down
  CHGCLR        = $17  'change all colors in window to C (C follows)
  SCRSIZ        = $1D  'set screen size (Rows, Columns follow)
  CLRW          = $1E  'same as CLR, but can be used in strings.
  ESC           = $1F  'escape next character C (i.e. print as-is) (C follows)
  ZERO          = $FF  'can be used for 0, which is not allowed in strings, for command arguments

OBJ

  pr : "tv_wtext"
  io : "basic_sio"

PUB start | i

  dira[16..17]~~

  pr.start(basepin)
  io.start
  repeat
    pr.out(io.in)
        